<?php
class shoukuanlaAli {
	
	private $config;
	private $url;
	//主入口
	public function config($config=null){
      //收款啦配置，提交到转账页面支付
	  header("content-Type:text/html;charset=gbk");  
	  $memo=iconv('UTF-8','GBK','请不要修改付款说明和付款金额，以免造成充值失败【收款啦自动充值接口】');
	  $this->url= '<form name="myform" action="https://shenghuo.alipay.com/send/payment/fill.htm" method="post">
			<input name="optEmail" id="optEmail"  value="'.$config['pay_type_data']['user']['val'].'"  type="hidden">
			<input name="payAmount" id="payAmount" value="'.$config['money'].'" type="hidden">
			<input name="title" id="title" value="'.$config['code'].'" type="hidden">
			<input name="memo" id="memo" value="'.$memo.'" type="hidden">
			<script type="text/javascript">document.myform.submit();</script>';
		
		
	}
	

	//发送
	public function send_pay(){
		 echo  $this->url;
		 exit;
		//header("Location: $url");	
	}
}

?>
